Retrieves all db Reports
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "eacfc56f-98cf-4aba-8ad0-27a10435caaa",
"db_report_type_id": "fdada3e4-8d58-4058-b927-1a51219d3917",
"user_id": "c01c1488-de37-4c08-95d3-c0359efc8962",
"company_id": "5f294f5c-85b5-48eb-a632-fcd87b366565",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "a69ff917-f875-43c4-8117-28a7c61490a3",
"id_in_table": "86da7bbf-e87f-4985-a83c-f4b84fdf89be",
"date_last_update": "2026-10-10T16:01:20.0528799+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-10T16:01:20.0528799+00:00"
}